# -*- coding: utf-8 -*-
import re

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)
    
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　  ※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　Ｚ８９　　製作分享　　　　　　　㊣～      ※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13 z89 撰寫",2)
UI.UpdateLog("【上傳空間】：http://www.hostpic.org/",2)
UI.UpdateLog("【上傳大小】：4 MB",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：無帳號上傳",2)
UI.UpdateLog("【腳本備註】：圖空上傳",1)
UI.UpdateLog("=========================================",2)
HTML=HTTP.GetURL("http://www.hostpic.org/")
UI.UpdateLog("開始上傳....",4)
HTTP.ClearProcedureData()
HTTP.AddUpParam("submit.x","75") 
HTTP.AddUpParam("submit.y","30") 
HTTP.AddUpParam("submit","Upload") 
HTTP.AddFileReference("thefile0")
link=Simple_Regular(",'','\|([^\+]+)','\|\/home\/hostpic\.org\/",UI.UpFile("http://www.hostpic.org/inc/uploader.php"),1)
if link!=False:
  linka="http://www.hostpic.org/images/"+link
  linkb="[img]"+"http://www.hostpic.org/images/"+link+"[/img]"
  UI.UpdateLog('圖片連結：'+linka,4)
  UI.UpdateLog('論壇語法：'+linkb,4)
  UI.AddShareLink(linka+"^"+linkb)
  UI.ProceSuccess()
else:
  UI.UpdateLog("無法取得網址",3)